// (c) 2017, SAS Institute Inc.

jQuery.sap.declare("sas.hc.ui.services.userGroup.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.hc.ui.services.userGroup
 * @public
 */

// library dependencies
jQuery.sap.require("sap.ui.core.library");
jQuery.sap.require("sas.hc.ui.commons.library");
jQuery.sap.require("sas.hc.m.library");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
    name : "sas.hc.ui.services.userGroup",
    dependencies : ["sap.ui.core","sas.hc.ui.commons","sas.hc.m","sas.ltjs.sasicu"],
    noLibraryCSS: true,
    types : [
    ],
    interfaces : [
    ],
    controls : [
        "sas.hc.ui.services.userGroup.UserGroupSelector",
        "sas.hc.ui.services.userGroup.UserGroupSelectorRenderer",
        "sas.hc.ui.services.userGroup.UserGroupDialog",
        "sas.hc.ui.services.userGroup.UserGroupInput",
        "sas.hc.ui.services.userGroup.UserGroupInfoProvider"
    ],
    elements : [
    ],
    version : "904001.7.1.20231215124400_f0htmcm94p"});
